Vla-get-ucsperviewport

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-ucsperviewport vla-object )


機能
ビューポートとともに UCS を登録するかどうかを取得する。


引数
  • vla-object … PViewport の VLAオブジェクト


戻り値
ブール型
  •  :vlax-True: UCS はビューポートとともに保存される。
  •  :vlax-False: UCS はビューポートとともに保存されない。


サンプル
(vl-load-com)
(defun c:Example_ViewportOn()
    ;; 2 つの新しいペーパー空間ビューポートを作成して、ビューポートの
    ;; 状態を確認するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; ペーパー空間ビューポートの定義
    (setq center (vlax-3d-point 3 3 0)
          width 10
          height 10)
    
    ;; ペーパー空間に移動
    (vla-put-ActiveSpace doc acPaperSpace)
    
    ;; ペーパー空間ビューポートを作成
    (setq paperSpace (vla-get-PaperSpace doc))
    (setq pviewportObj1 (vla-AddPViewport paperSpace center width height))
  
    (setq center (vlax-3d-point 8 8 0)
          width 10
          height 10)

    (setq pviewportObj2 (vla-AddPViewport paperSpace center width height))
    
    ;; ペーパー空間ビューポートをアクティブにする前に 
    ;; mspace プロパティをする必要がある場合は True
    (vla-Display pviewportObj1 :vlax-true)

    (vla-put-MSpace doc :vlax-true)
    (vla-put-ActivePViewport doc pviewportObj1)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "pviewportObj1 は " (if (= (vla-get-ViewportOn pviewportObj1) :vlax-true) "オン." "オンじゃない.")
                   "\npviewportObj2 は " (if (= (vla-get-ViewportOn pviewportObj2) :vlax-true) "オン." "オンじゃない.")))
    
    ;; pviewportObj2 に移動
    (vla-Display pviewportObj2 :vlax-true)

    (alert (strcat "pviewportObj1 は " (if (= (vla-get-ViewportOn pviewportObj1) :vlax-true) "オン." "オンじゃない.")
                   "\npviewportObj2 は " (if (= (vla-get-ViewportOn pviewportObj2) :vlax-true) "オン." "オンじゃない.")))
)

関連事項